<?php 
/**
 * Plugin Name: Indexation Viewer (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/IndexationViewer
 * Description: Show indexation statuses in Matomo administration
 * Author: Kára Sibille, Valentin Baraise
 * Author URI: https://developpement.ligeo.fr/
 * Version: 0.1.1
 */
?><?php

namespace Piwik\Plugins\IndexationViewer;

use Piwik\Plugin;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class IndexationViewer extends Plugin
{
    public function registerEvents(): array
    {
        return [
            'Translate.getClientSideTranslationKeys' => 'getClientSideTranslationKeys',
        ];
    }

    public function getClientSideTranslationKeys(&$result)
    {
        $result[] = 'IndexationViewer_IndexTitle';
        $result[] = 'IndexationViewer_Status';
        $result[] = 'IndexationViewer_SelectSegment';
        $result[] = 'IndexationViewer_SelectStatus';
        $result[] = 'IndexationViewer_AnyStatus';
        $result[] = 'IndexationViewer_StatusDoneOK';
        $result[] = 'IndexationViewer_StatusDoneError';
        $result[] = 'IndexationViewer_StatusDoneOkTemporary';
        $result[] = 'IndexationViewer_StatusDoneInvalidated';
        $result[] = 'IndexationViewer_SearchHelp';
        $result[] = 'IndexationViewer_SearchPattern';
        $result[] = "IndexationViewer_Period";
        $result[] = "IndexationViewer_PeriodBeginDate";
        $result[] = "IndexationViewer_PeriodEndDate";
        $result[] = "IndexationViewer_IndexedAt";
    }
}
